Bug 522230 - 'service pulse stop' does not kill nanny process
Summary: 'service pulse stop' does not kill nanny process
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: piranha
Version: 5.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Marek Grac
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 20:01 UTC by Jeff Bastian
Modified: 2018-10-27 16:05 UTC (History)
10 users (show)

Fixed In Version: piranha-0.8.4-15.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 09:00:41 UTC


Attachments (Terms of Use)
patch to shutdown nanny (468 bytes, patch)
2009-09-09 20:02 UTC, Jeff Bastian
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0297 normal SHIPPED_LIVE piranha bug fix update 2010-03-29 14:22:04 UTC

Description Jeff Bastian 2009-09-09 20:01:08 UTC
Description of problem:
'service pulse stop' does not kill the nanny processes after piranha-0.8.4-ipvs-rport.patch was added to piranha (see bug 500909).

Ranjith Rajaram noticed that this patch has a chunk for startClientMonitor:
   -  clientInfo.port = service->port;
   +  clientInfo.port = vserver->port;
   +  clientInfo.rport = service->port;
and it needs a corresponding chunk for shutdownClientMonitor to shut down cleanly:
   -  clientInfo.port = service->port;
   +  clientInfo.port = vserver->port;
   +  clientInfo.rport = service->port;

See the attached patch.


Version-Release number of selected component (if applicable):
piranha-0.8.4-13.el5

How reproducible:
every time

Steps to Reproduce:
1. service pulse start
2. pgrep -lf nanny
3. service pulse stop
4. pgrep -lf nanny
  
Actual results:
nanny is still running after pulse was stopped

Expected results:
nanny stops running

Additional info:

Comment 1 Jeff Bastian 2009-09-09 20:02:42 UTC
Created attachment 360334 [details]
patch to shutdown nanny

Attached is Ranjith's patch to cleanly shutdown the nanny process

Comment 2 Marek Grac 2009-10-02 13:39:44 UTC
Thanks for patch, pushed to upstream:

http://git.fedorahosted.org/git/?p=piranha.git;a=commit;h=a82e1facdeb9ab9980351ab7b6f754ceb0885ce1

Comment 3 Robin Bowes 2009-10-30 18:07:56 UTC
/me too.

Any idea when this is going to make a release?

R.

Comment 4 Marek Grac 2009-12-17 18:46:01 UTC
Planned for next update

Comment 6 Chris Ward 2010-02-11 10:02:51 UTC
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.

Comment 12 errata-xmlrpc 2010-03-30 09:00:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0297.html


Note You need to log in before you can comment on or make changes to this bug.